### org.jfree.layouting.input.style

# Class CSSPageAreaRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSDeclarationRule`
    - - `org.jfree.layouting.input.style.CSSPageAreaRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSPageAreaRule`
`extends CSSDeclarationRule`

Creation-Date: 29.05.2006, 18:04:01

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSPageAreaRule(StyleSheet parentStyle, StyleRule parentRule, PageAreaType pageArea)`

  ## Method Summary

  `PageAreaType`

  `getPageArea()`

  ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

  `clear`, `clone`, `getImportantValues`, `getPropertyCSSValue`, `getPropertyKeysAsArray`, `getStyleValues`, `isEmpty`, `isImportant`, `removeProperty`, `setImportant`, `setPropertyValue`, `setPropertyValue`, `setPropertyValueAsString`, `setPropertyValueAsString`

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSPageAreaRule

    public CSSPageAreaRule(StyleSheet parentStyle,
                           StyleRule parentRule,
                           PageAreaType pageArea)

## Method Details

### getPageArea

    public PageAreaType getPageArea()